---
# BBOSS Copyright (C) 2018-2021, Laurent Marchelli
# SPDX-License-Identifier: GPL-3.0-or-later

# {{ ansible_managed }}
# Role: {{ role_name }}
# File: {{ template_path | relpath(role_path) }}
{# # Commit: {{ lookup('pipe', 'git rev-parse --short HEAD') }} #}

version: '2.4'

networks:
  {{ stack_project.name }}:
    driver: bridge
    name: {{ stack_project.name }}

services:
  nginx:
    hostname: nginx
    image: {{ stackapp_info.nginx.image }}
    networks:
      {{ stack_project.name }}: {}
    ports:
      - "{{ stackapp_network.nginx.port }}:{{ stackapp_service.nginx.port }}"
    volumes:
      - nginx_conf:/etc/nginx/:rw
      - nginx_data:/usr/share/nginx/html/:rw
    depends_on:
      sonar:
        condition: service_started

  sonar:
    depends_on:
      sonardb:
        condition: service_started
    environment:
      SONARQUBE_JDBC_PASSWORD: passw0rd
      SONARQUBE_JDBC_URL: jdbc:postgresql://sonardb:5432/sonar
      SONARQUBE_JDBC_USERNAME: srvadmin
    hostname: sonar
    image: {{ stackapp_info.sonar.image }}
    networks:
      {{ stack_project.name }}: {}
    ulimits:
      nproc: 8192
      nofile: 131072
    volumes:
      - sonar_conf:/opt/sonarqube/conf:rw
      - sonar_data:/opt/sonarqube/data:rw
      - sonar_ext:/opt/sonarqube/extensions:rw
      - sonar_logs:/opt/sonarqube/logs:rw
      - sonar_plug:/opt/sonarqube/lib/bundled-plugins:rw
  
  sonardb:
    environment:
      POSTGRES_DB: sonar
      POSTGRES_PASSWORD: passw0rd
      POSTGRES_USER: srvadmin
    hostname: sonardb
    image: library/postgres:13.4-alpine
    networks:
      {{ stack_project.name }}: {}
    volumes:
      - sonardb_data:/var/lib/postgresql/data:rw
  
volumes:
  nginx_conf: {}
  nginx_data: {}
  sonar_conf: {}
  sonar_data: {}
  sonar_ext: {}
  sonar_logs: {}
  sonar_plug: {}
  sonardb_data: {}
